> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contract details

> Retrieve detailed information about a specific contract



## OpenAPI

````yaml /api/modo-canton.json get /v1/contracts/{contractId}
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/contracts/{contractId}:
    get:
      tags:
        - Contracts
      summary: Get contract details
      description: Retrieve detailed information about a specific contract
      operationId: getContractDetails
      parameters:
        - name: contractId
          in: path
          description: Contract ID
          required: true
          schema:
            type: string
          example: >-
            00cd34c126fdf944c0e5fd84fe55a280cc860ea01452b3885d5cdf8d08118acfe8ca101220746f7477a4660994059d6d47879e8f741e3b4f019c5a5b7678f5478fce9e57d8
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ContractDetailsDtoAPI'
components:
  schemas:
    ContractDetailsDtoAPI:
      type: object
      properties:
        contractId:
          type: string
        templateId:
          type: string
        signatories:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantDtoAPI'
        creatingEvent:
          type: string
        creatingUpdate:
          type: string
        createdAt:
          type: integer
          format: int64
        packageName:
          type: string
        args:
          type: string
    ParticipantDtoAPI:
      type: object
      properties:
        partyId:
          type: string
        accountName:
          type: string
        imageUrl:
          type: string
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````